## org.codehaus.groovy.grails.web.pages
Class GroovyPageMetaInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageMetaInfo

     class GroovyPageMetaInfo

extends Object

A class that encapsulates the information necessary to describe a GSP

Since:
  0.5

  Created: Feb 23, 2007 Time: 11:38:40 AM
Author:
  Graeme Rocher, Lari Hotari

Field Summary
`static String` `HTML_DATA_POSTFIX`
`static String` `LINENUMBERS_DATA_POSTFIX`

Constructor Summary
`GroovyPageMetaInfo()`
`GroovyPageMetaInfo(Class pageClass)`

Method Summary
`Class` `getCodecClass()`
`String` `getCodecName()`
`GroovyPagesException` `getCompilationException()`
`String` `getContentType()`
`InputStream` `getGroovySource()`
`String[]` `getHtmlParts()`
`TagLibraryResolver` `getJspTagLibraryResolver()`
`Map` `getJspTags()`
`long` `getLastModified()`
`int[]` `getLineNumbers()`
`Class` `getPageClass()`
`TagLibraryLookup` `getTagLibraryLookup()`
`void` `initCodec()`
`void` `setCodecName(String codecName)`
`void` `setCompilationException(GroovyPagesException e)`
`void` `setContentType(String contentType)`
`void` `setGroovySource(InputStream groovySource)`
`void` `setHtmlParts(String[] htmlParts)`
`void` `setJspTagLibraryResolver(TagLibraryResolver jspTagLibraryResolver)`
`void` `setJspTags(Map jspTags)`
`void` `setLastModified(long lastModified)`
`void` `setLineNumbers(int[] lineNumbers)`
`void` `setPageClass(Class pageClass)`
`void` `setTagLibraryLookup(TagLibraryLookup tagLibraryLookup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTML_DATA_POSTFIX

    public static final String HTML_DATA_POSTFIX

See Also:
  Constant Field Values

### LINENUMBERS_DATA_POSTFIX

    public static final String LINENUMBERS_DATA_POSTFIX

See Also:
  Constant Field Values

Constructor Detail

### GroovyPageMetaInfo

    public GroovyPageMetaInfo()

### GroovyPageMetaInfo

    public GroovyPageMetaInfo(Class pageClass)

Method Detail

### initCodec

    public void initCodec()

### getTagLibraryLookup

    public TagLibraryLookup getTagLibraryLookup()

### setTagLibraryLookup

    public void setTagLibraryLookup(TagLibraryLookup tagLibraryLookup)

### getJspTagLibraryResolver

    public TagLibraryResolver getJspTagLibraryResolver()

### setJspTagLibraryResolver

    public void setJspTagLibraryResolver(TagLibraryResolver jspTagLibraryResolver)

### getPageClass

    public Class getPageClass()

### setPageClass

    public void setPageClass(Class pageClass)

### getLastModified

    public long getLastModified()

### setLastModified

    public void setLastModified(long lastModified)

### getGroovySource

    public InputStream getGroovySource()

### setGroovySource

    public void setGroovySource(InputStream groovySource)

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

### getLineNumbers

    public int[] getLineNumbers()

### setLineNumbers

    public void setLineNumbers(int[] lineNumbers)

### setJspTags

    public void setJspTags(Map jspTags)

### getJspTags

    public Map getJspTags()

### setCompilationException

    public void setCompilationException(GroovyPagesException e)

### getCompilationException

    public GroovyPagesException getCompilationException()

### getHtmlParts

    public String[] getHtmlParts()

### setHtmlParts

    public void setHtmlParts(String[] htmlParts)

### getCodecClass

    public Class getCodecClass()

### getCodecName

    public String getCodecName()

### setCodecName

    public void setCodecName(String codecName)

Copyright (c) 2005-2009 The Grails project